package com.sa.ibiz.demo.demo.rest;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.domain.WFSystemUser;
import com.sa.ibiz.demo.demo.service.WFSystemUserService;
import com.sa.ibiz.demo.demo.service.dto.WFSystemUserSearchFilter;
import com.sa.ibiz.demo.ibizutil.errors.BadRequestAlertException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import java.math.BigInteger;
import java.util.List;

@RestController
@RequestMapping("/demo/wfsystemuser")
public class WFSystemUserResource
{
	@Autowired
	private WFSystemUserService service;


	@PostMapping(value = "/update")
	public ResponseEntity<WFSystemUser> update(@Validated @RequestBody WFSystemUser data){
		boolean bRt=service.update(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统用户[update]操作发生错误","WFSystemUser",data.getWfsystemuserid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/getDraft")
	public ResponseEntity<WFSystemUser> getDraft(@Validated @RequestBody WFSystemUser data){
		boolean bRt=service.getDraft(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统用户[getDraft]操作发生错误","WFSystemUser","");
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/create")
	public ResponseEntity<WFSystemUser> create(@Validated @RequestBody WFSystemUser data){
		boolean bRt=service.create(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统用户[create]操作发生错误","WFSystemUser",data.getWfsystemuserid().toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/remove")
	public ResponseEntity<WFSystemUser> remove(@Validated @RequestBody WFSystemUser data){
		boolean bRt=service.remove(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统用户[remove]操作发生错误","WFSystemUser",data.getWfsystemuserid().toString());
		return ResponseEntity.ok().body(data);
	}
	@GetMapping(value = "/{id}")
	public ResponseEntity<WFSystemUser> get(@Validated @PathVariable String id){
		WFSystemUser data=new WFSystemUser();
		data.setWfsystemuserid(id);;
		data=service.get(data);
		if(data==null)
			throw new BadRequestAlertException("工作流系统用户[get]操作发生错误","WFSystemUser",id.toString());
		return ResponseEntity.ok().body(data);
	}
	@PostMapping(value = "/checkKey")
	public ResponseEntity<WFSystemUser> checkKey(@Validated @RequestBody WFSystemUser data){
		boolean bRt=service.checkKey(data);
		if(!bRt)
			throw new BadRequestAlertException("工作流系统用户[checkKey]操作发生错误","WFSystemUser",data.getWfsystemuserid().toString());
		return ResponseEntity.ok().body(data);
	}
    @PostMapping(value="/searchdefault")
	public ResponseEntity<Page<WFSystemUser>> searchDefaultPage(@Validated @RequestBody WFSystemUserSearchFilter filter){
		Page<WFSystemUser> searchResult = service.searchDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}

	@PostMapping(value="/listdefault")
	public ResponseEntity<List<WFSystemUser>> listDefault(@Validated @RequestBody WFSystemUserSearchFilter filter){
		List<WFSystemUser> searchResult = service.listDefault(filter);
		return ResponseEntity.ok().body(searchResult);
	}
}
